package com.ff.weijinxiao.domain;

import lombok.Data;

@Data
public class BusinessReport {
    //时间日期
    private String submitDate;

    //商品图片
    private String goodsImage;

    //商品名称
    private String goodsName;

    //进价
    private Double purchasePrice;

    //售价
    private Double sellPrice;

    //库存量
    private Double stockNumber;

    //销售量
    private Double selledNum;

    //销售额
    private Double selledMoney;

    //供应商名称
    private String supplierName;

    //说明
    private String remark;

    //是否已发货
    private Integer isSend;

    //是否已收款
    private Integer isReceived;
}
