package com.ff.weijinxiao.repository;


import com.ff.weijinxiao.domain.CustomerAddress;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

public interface CustomerAddressRepository extends JpaRepository<CustomerAddress, Integer>, JpaSpecificationExecutor<CustomerAddress> {
    CustomerAddress findByOnlyID(String onlyID);
    
    CustomerAddress findByAddressAndUid(String address, String uid);
}
